package sgc.portal.cw.cw0623.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0623.model.CW06230001U;
import sgc.portal.cw.cw0623.dto.CW06230001USearch;
import sgc.portal.cw.cw0623.service.CW06230001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0623")
public class CW06230001UController {
    private final CW06230001UService service;

    public CW06230001UController(CW06230001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06230001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06230001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06230001U/save")
    public Map<String, String> save(@RequestBody List<CW06230001U> CW06230001U) {
    	return service.save(CW06230001U);
    }

    @PostMapping("/CW06230001U/selectGoalGbnAuthList")
    public List<EasyHashMap<String, Object>> selectGoalGbnAuthList(@RequestBody CW06230001USearch search) {
        return service.selectGoalGbnAuthList(search);
    }

    @PostMapping("/CW06230001U/selectGoalList")
    public List<EasyHashMap<String, Object>> selectGoalList(@RequestBody CW06230001USearch search) {
        return service.selectGoalList(search);
    }
}
